import java.io.IOException;
import java.io.BufferedReader;
import java.io.InputStreamReader;

public class Battleship {
  public static void main(String[] args){

    final boolean[][] MAP = 
      {
      	{false,false,false,false,false,false,true ,false,true ,false},
      	{false,true ,true ,true ,false,false,true ,false,true ,false},
      	{false,false,false,false,false,false,false,false,true ,false},
      	{false,false,false,false,false,true ,true ,false,true ,false},
      	{true ,true ,false,false,false,false,false,false,false,false},
      	{false,false,false,false,true ,true ,true ,true ,true ,false},
      	{false,false,false,false,false,false,false,false,false,false},
      	{false,true ,false,true ,true ,true ,true ,false,false,true },
      	{false,true ,false,false,false,false,false,false,false,true },
      	{false,true ,false,false,true ,true ,false,false,false,true }
      };

    try {
      BufferedReader br = new BufferedReader(
      new InputStreamReader(System.in));
      System.out.println("Geben Sie eine x-Koordinate ein:");
      String xString = br.readLine();
      System.out.println("Geben Sie eine y-Koordinate ein:");
      String yString = br.readLine();
      
      int x = Integer.parseInt(xString) - 1;
      int y = Integer.parseInt(yString) - 1;

      if (x >= 0 && x < MAP.length && y >= 0 && y < MAP[x].length) {
        if (MAP[x][y]) {
          System.out.println("Treffer!");
        } else {
          System.out.println("Platsch!");
        }
      } else {
        System.out.println("Fehler! Eingabe ungueltig!");
      }
    } catch (Exception e) {
      System.err.println(e);
    }
  }
}
